curl --request GET \
--url https://api.formizee.com/v1/endpoint/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.formizee.com/v1/endpoint/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.formizee.com/v1/endpoint/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "enp_4VjHrJoEwAFC6itz8oUBW9NW2bia",
"workspaceId": "ws_4VjHrJoEwAFC6itz8oUBW9NW2bia",
"slug": "my-endpoint",
"name": "My Endpoint",
"targetEmails": [
"[email protected]",
"[email protected]"
],
"isEnabled": true,
"emailNotifications": false,
"redirectUrl": "https://example.com/thanks-you",
"icon": "bolt",
"color": "pink"
}{
"code": "BAD_REQUEST",
"message": "Missing required field 'name'.",
"docs": "https://formizee.com/api-references/errors/code/BAD_REQUEST",
"requestId": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Missing required field 'name'.",
"docs": "https://formizee.com/api-references/errors/code/UNAUTHORIZED",
"requestId": "<string>"
}{
"code": "FORBIDDEN",
"message": "Missing required field 'name'.",
"docs": "https://formizee.com/api-references/errors/code/FORBIDDEN",
"requestId": "<string>"
}{
"code": "NOT_FOUND",
"message": "Missing required field 'name'.",
"docs": "https://formizee.com/api-references/errors/code/NOT_FOUND",
"requestId": "<string>"
}{
"code": "METHOD_NOT_ALLOWED",
"message": "Missing required field 'name'.",
"docs": "https://formizee.com/api-references/errors/code/METHOD_NOT_ALLOWED",
"requestId": "<string>"
}{
"code": "CONFLICT",
"message": "Missing required field 'name'.",
"docs": "https://formizee.com/api-references/errors/code/CONFLICT",
"requestId": "<string>"
}{
"code": "PAYLOAD_TOO_LARGE",
"message": "Missing required field 'name'.",
"docs": "https://formizee.com/api-references/errors/code/PAYLOAD_TOO_LARGE",
"requestId": "<string>"
}{
"code": "TOO_MANY_REQUESTS",
"message": "Missing required field 'name'.",
"docs": "https://formizee.com/api-references/errors/code/TOO_MANY_REQUESTS",
"requestId": "<string>"
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Missing required field 'name'.",
"docs": "https://formizee.com/api-references/errors/code/INTERNAL_SERVER_ERROR",
"requestId": "<string>"
}{
"code": "GATEWAY_TIMEOUT",
"message": "Missing required field 'name'.",
"docs": "https://formizee.com/api-references/errors/code/GATEWAY_TIMEOUT",
"requestId": "<string>"
}Retrieve a endpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the endpoint
^[a-zA-Z]+_[a-zA-Z0-9]+$"enp_4VjHrJoEwAFC6itz8oUBW9NW2bia"
Response
Retrieve a endpoint
The id of the endpoint
"enp_4VjHrJoEwAFC6itz8oUBW9NW2bia"
The id of the workspace
"ws_4VjHrJoEwAFC6itz8oUBW9NW2bia"
The slug of the endpoint
4 - 64^[a-z0-9.-]+$"my-endpoint"
The name of the endpoint
4 - 64"My Endpoint"
[
"[email protected]",
"[email protected]"
]
The state of the endpoint. If is false, the endpoint don't receive more submissions
true
The state of the email notifications. If is true, the endpoint will send a notification for each submission created
false
The redirect url of the endpoint. When a user send a submission through a form, will be redirected to this url.
"https://example.com/thanks-you"
The icon of the endpoint
file, file-chart, start, bookmark, heart, flag, bolt, bell, lightbulb, credit-card, stack, cube, database, server, inbox, calendar, mail, checkcircle, book, chat, user-group, console, tools, grid, moon, sun, cloud, cart, gift, music, beaker, video, code, maps, face-smile, face-frown, paint, bug, school, rocket "bolt"
The color the endpoint icon
gray, amber, red, lime, teal, cyan, indigo, violet, pink, white "pink"
Was this page helpful?